package response

import (
	"net/http"

	"github.com/tech/sendico/pkg/mlogger"
)

type Result struct {
	Result bool `json:"result"`
}

func Success(logger mlogger.Logger) http.HandlerFunc {
	return Ok(logger, Result{Result: true})
}

func Failed(logger mlogger.Logger) http.HandlerFunc {
	return Accepted(logger, Result{Result: false})
}
